packer {
  required_plugins {
    qemu = {
      version = ">= 1.0.10"
      source  = "github.com/hashicorp/qemu"
    }
  }
}

source "qemu" "freebsd-14" {
  iso_checksum      = "8a974c3d74f49207d5e150cce0ddd6330d32b52e2201726b5a248f8bff42a73c904ab76bf0ff29ef73ab2409ac912b22af6183484c4988997801630d49a10e68"
  iso_url           = "https://download.freebsd.org/releases/amd64/amd64/ISO-IMAGES/14.0/FreeBSD-14.0-RELEASE-amd64-bootonly.iso"
  output_directory  = "/srv/kvm/templates/"
  shutdown_command  = "echo 'packer' | sudo -S 'poweroff'"
  disk_size         = "10000M"
  format            = "qcow2"
  accelerator       = "kvm"
  headless          = "true"
  ssh_username      = "xadmin"
  ssh_password      = "packer"
  ssh_timeout       = "20m"
  vnc_bind_address  = "0.0.0.0"
  vm_name           = "freebsd-14"
  net_device        = "virtio-net"
  disk_interface    = "virtio"
  boot_wait         = "5s"
  boot_command      = ["<enter>", "<wait10s>", "<enter><wait1s>", "<enter><wait1s>", "freebsd<enter><wait1s>", "<enter><wait1s>", "<enter><wait1s>", "<enter><wait1s>", "<enter><wait1s>", "<enter><wait5s>", "<right><enter><wait1s>", "<enter><wait1s>", "<enter><wait4s>", "<enter><wait1s>", "<enter><wait1s>", " <enter><wait1s>", "<left><enter><wait1s>", "<enter><wait80s>", "packer<enter><wait1s>", "packer<enter><wait1s>", "<down><enter><wait1s>", "95<up><enter><wait1s>", "<enter><wait1s>", "<enter><wait1s>", "<enter><wait1s>", "<enter><wait1s>", "<down><down><down> <enter><wait1s>", "<down><down><down><down><down><down><down><down> <enter><wait1s>", "<enter><wait1s>", "xadmin<enter>", "Remote admin user<enter>", "<enter>", "<enter>", "wheel<enter>", "<enter>", "<enter>", "<enter>", "<enter>", "<enter>", "<enter>", "<enter>", "packer<enter>", "packer<enter>", "<enter>", "<enter>", "<enter><wait1s>", "<enter><wait1s>", "<left><enter><wait1s>", "pkg install -y sudo<enter><wait30s>", "echo '%wheel ALL=(ALL:ALL) ALL' > /usr/local/etc/sudoers.d/wheel<enter><wait1s>", "exit<enter><wait1s>", "<enter><wait30s>"]
}

build {
  sources = ["source.qemu.freebsd-14"]
}
